id: "5-0-1-CFN"
treename: "five taxa non-binary"
modelname: "Cavender Felsenstein Neyman"
rooted: "False"
leaves: "5"
internal_edges: "1"
dim: "7"
deg: "44"
np: "16"
nq: "16"
mu: "-"
e: "-"
M: "-"
E: "-"
sD: "-"
sd: "-"
MLdeg: "2098"
EDdeg: "334"
details:
  transition_matrix: |-
    $$M_j = \begin{pmatrix}
    a_i &  b_i\\
    b_i &  a_i
    \end{pmatrix}$$
  root_distributon: |-
    $\pi = \left(\frac{1}{2}, \frac{1}{2} \right)$
  fourier_parameters: |-
    $\left(x^{(i)}_1, x^{(i)}_i\right)$
  probability_parametrization: |-
    $\begin{align}
    p_{\texttt{00111}} &= \frac{1}{2}(a_1a_2a_3a_4a_5b_6 + a_1a_2a_6b_3b_4b_5 + a_3a_4a_5a_6b_1b_2 + b_1b_2b_3b_4b_5b_6) \\[0.5em]
    p_{\texttt{00101}} &= \frac{1}{2}(a_1a_2a_3a_5b_4b_6 + a_1a_2a_4a_6b_3b_5 + a_3a_5a_6b_1b_2b_4 + a_4b_1b_2b_3b_5b_6) \\[0.5em]
    p_{\texttt{00010}} &= \frac{1}{2}(a_1a_2a_3a_5a_6b_4 + a_1a_2a_4b_3b_5b_6 + a_3a_5b_1b_2b_4b_6 + a_4a_6b_1b_2b_3b_5) \\[0.5em]
    p_{\texttt{00000}} &= \frac{1}{2}(a_1a_2a_3a_4a_5a_6 + a_1a_2b_3b_4b_5b_6 + a_3a_4a_5b_1b_2b_6 + a_6b_1b_2b_3b_4b_5) \\[0.5em]
    p_{\texttt{01110}} &= \frac{1}{2}(a_1a_3a_4b_2b_5b_6 + a_1a_5a_6b_2b_3b_4 + a_2a_3a_4a_6b_1b_5 + a_2a_5b_1b_3b_4b_6) \\[0.5em]
    p_{\texttt{01100}} &= \frac{1}{2}(a_1a_3b_2b_4b_5b_6 + a_1a_4a_5a_6b_2b_3 + a_2a_3a_6b_1b_4b_5 + a_2a_4a_5b_1b_3b_6) \\[0.5em]
    p_{\texttt{00011}} &= \frac{1}{2}(a_1a_2a_3a_6b_4b_5 + a_1a_2a_4a_5b_3b_6 + a_3b_1b_2b_4b_5b_6 + a_4a_5a_6b_1b_2b_3) \\[0.5em]
    p_{\texttt{00001}} &= \frac{1}{2}(a_1a_2a_3a_4a_6b_5 + a_1a_2a_5b_3b_4b_6 + a_3a_4b_1b_2b_5b_6 + a_5a_6b_1b_2b_3b_4) \\[0.5em]
    p_{\texttt{01111}} &= \frac{1}{2}(a_1a_3a_4a_5b_2b_6 + a_1a_6b_2b_3b_4b_5 + a_2a_3a_4a_5a_6b_1 + a_2b_1b_3b_4b_5b_6) \\[0.5em]
    p_{\texttt{01101}} &= \frac{1}{2}(a_1a_3a_5b_2b_4b_6 + a_1a_4a_6b_2b_3b_5 + a_2a_3a_5a_6b_1b_4 + a_2a_4b_1b_3b_5b_6) \\[0.5em]
    p_{\texttt{01010}} &= \frac{1}{2}(a_1a_3a_5a_6b_2b_4 + a_1a_4b_2b_3b_5b_6 + a_2a_3a_5b_1b_4b_6 + a_2a_4a_6b_1b_3b_5) \\[0.5em]
    p_{\texttt{01000}} &= \frac{1}{2}(a_1a_3a_4a_5a_6b_2 + a_1b_2b_3b_4b_5b_6 + a_2a_3a_4a_5b_1b_6 + a_2a_6b_1b_3b_4b_5) \\[0.5em]
    p_{\texttt{01011}} &= \frac{1}{2}(a_1a_3a_6b_2b_4b_5 + a_1a_4a_5b_2b_3b_6 + a_2a_3b_1b_4b_5b_6 + a_2a_4a_5a_6b_1b_3) \\[0.5em]
    p_{\texttt{01001}} &= \frac{1}{2}(a_1a_3a_4a_6b_2b_5 + a_1a_5b_2b_3b_4b_6 + a_2a_3a_4b_1b_5b_6 + a_2a_5a_6b_1b_3b_4) \\[0.5em]
    p_{\texttt{00110}} &= \frac{1}{2}(a_1a_2a_3a_4b_5b_6 + a_1a_2a_5a_6b_3b_4 + a_3a_4a_6b_1b_2b_5 + a_5b_1b_2b_3b_4b_6) \\[0.5em]
    p_{\texttt{00100}} &= \frac{1}{2}(a_1a_2a_3b_4b_5b_6 + a_1a_2a_4a_5a_6b_3 + a_3a_6b_1b_2b_4b_5 + a_4a_5b_1b_2b_3b_6)
    \end{align}$
  equivalent_classes_prob: |-
    $\begin{align}
    \text{Class } &p_{\texttt{00000}}:\ p_{\texttt{00000}},\ p_{\texttt{11111}} \\[0.5em]
    \text{Class } &p_{\texttt{00001}}:\ p_{\texttt{00001}},\ p_{\texttt{11110}} \\[0.5em]
    \text{Class } &p_{\texttt{00010}}:\ p_{\texttt{00010}},\ p_{\texttt{11101}} \\[0.5em]
    \text{Class } &p_{\texttt{00011}}:\ p_{\texttt{00011}},\ p_{\texttt{11100}} \\[0.5em]
    \text{Class } &p_{\texttt{00100}}:\ p_{\texttt{00100}},\ p_{\texttt{11011}} \\[0.5em]
    \text{Class } &p_{\texttt{00101}}:\ p_{\texttt{00101}},\ p_{\texttt{11010}} \\[0.5em]
    \text{Class } &p_{\texttt{00110}}:\ p_{\texttt{00110}},\ p_{\texttt{11001}} \\[0.5em]
    \text{Class } &p_{\texttt{00111}}:\ p_{\texttt{00111}},\ p_{\texttt{11000}} \\[0.5em]
    \text{Class } &p_{\texttt{01000}}:\ p_{\texttt{01000}},\ p_{\texttt{10111}} \\[0.5em]
    \text{Class } &p_{\texttt{01001}}:\ p_{\texttt{01001}},\ p_{\texttt{10110}} \\[0.5em]
    \text{Class } &p_{\texttt{01010}}:\ p_{\texttt{01010}},\ p_{\texttt{10101}} \\[0.5em]
    \text{Class } &p_{\texttt{01011}}:\ p_{\texttt{01011}},\ p_{\texttt{10100}} \\[0.5em]
    \text{Class } &p_{\texttt{01100}}:\ p_{\texttt{01100}},\ p_{\texttt{10011}} \\[0.5em]
    \text{Class } &p_{\texttt{01101}}:\ p_{\texttt{01101}},\ p_{\texttt{10010}} \\[0.5em]
    \text{Class } &p_{\texttt{01110}}:\ p_{\texttt{01110}},\ p_{\texttt{10001}} \\[0.5em]
    \text{Class } &p_{\texttt{01111}}:\ p_{\texttt{01111}},\ p_{\texttt{10000}}
    \end{align}$
  fourier_parametrization: |-
    $\begin{align}
    q_{\texttt{00101}} &= x^{(1)}_{1}x^{(2)}_{1}x^{(3)}_{2}x^{(4)}_{1}x^{(5)}_{2}x^{(6)}_{1} \\[0.5em]
    q_{\texttt{10100}} &= x^{(1)}_{2}x^{(2)}_{1}x^{(3)}_{2}x^{(4)}_{1}x^{(5)}_{1}x^{(6)}_{2} \\[0.5em]
    q_{\texttt{00000}} &= x^{(1)}_{1}x^{(2)}_{1}x^{(3)}_{1}x^{(4)}_{1}x^{(5)}_{1}x^{(6)}_{1} \\[0.5em]
    q_{\texttt{10111}} &= x^{(1)}_{2}x^{(2)}_{1}x^{(3)}_{2}x^{(4)}_{2}x^{(5)}_{2}x^{(6)}_{2} \\[0.5em]
    q_{\texttt{01100}} &= x^{(1)}_{1}x^{(2)}_{2}x^{(3)}_{2}x^{(4)}_{1}x^{(5)}_{1}x^{(6)}_{2} \\[0.5em]
    q_{\texttt{10010}} &= x^{(1)}_{2}x^{(2)}_{1}x^{(3)}_{1}x^{(4)}_{2}x^{(5)}_{1}x^{(6)}_{2} \\[0.5em]
    q_{\texttt{00011}} &= x^{(1)}_{1}x^{(2)}_{1}x^{(3)}_{1}x^{(4)}_{2}x^{(5)}_{2}x^{(6)}_{1} \\[0.5em]
    q_{\texttt{01111}} &= x^{(1)}_{1}x^{(2)}_{2}x^{(3)}_{2}x^{(4)}_{2}x^{(5)}_{2}x^{(6)}_{2} \\[0.5em]
    q_{\texttt{11110}} &= x^{(1)}_{2}x^{(2)}_{2}x^{(3)}_{2}x^{(4)}_{2}x^{(5)}_{1}x^{(6)}_{1} \\[0.5em]
    q_{\texttt{10001}} &= x^{(1)}_{2}x^{(2)}_{1}x^{(3)}_{1}x^{(4)}_{1}x^{(5)}_{2}x^{(6)}_{2} \\[0.5em]
    q_{\texttt{01010}} &= x^{(1)}_{1}x^{(2)}_{2}x^{(3)}_{1}x^{(4)}_{2}x^{(5)}_{1}x^{(6)}_{2} \\[0.5em]
    q_{\texttt{11101}} &= x^{(1)}_{2}x^{(2)}_{2}x^{(3)}_{2}x^{(4)}_{1}x^{(5)}_{2}x^{(6)}_{1} \\[0.5em]
    q_{\texttt{11000}} &= x^{(1)}_{2}x^{(2)}_{2}x^{(3)}_{1}x^{(4)}_{1}x^{(5)}_{1}x^{(6)}_{1} \\[0.5em]
    q_{\texttt{00110}} &= x^{(1)}_{1}x^{(2)}_{1}x^{(3)}_{2}x^{(4)}_{2}x^{(5)}_{1}x^{(6)}_{1} \\[0.5em]
    q_{\texttt{01001}} &= x^{(1)}_{1}x^{(2)}_{2}x^{(3)}_{1}x^{(4)}_{1}x^{(5)}_{2}x^{(6)}_{2} \\[0.5em]
    q_{\texttt{11011}} &= x^{(1)}_{2}x^{(2)}_{2}x^{(3)}_{1}x^{(4)}_{2}x^{(5)}_{2}x^{(6)}_{1}
    \end{align}$
  equivalent_classes_fourier: |-
    $\begin{align}
    \text{Class } &0:\ q_{\texttt{10000}}, q_{\texttt{01000}}, q_{\texttt{00100}}, q_{\texttt{11100}}, q_{\texttt{00010}}, q_{\texttt{11010}}, q_{\texttt{10110}}, q_{\texttt{01110}}, q_{\texttt{00001}}, q_{\texttt{11001}}, q_{\texttt{10101}}, q_{\texttt{01101}}, q_{\texttt{10011}}, q_{\texttt{01011}}, q_{\texttt{00111}}, q_{\texttt{11111}} \\[0.5em]
    \text{Class } &q_{\texttt{00000}}:\ q_{\texttt{00000}} \\[0.5em]
    \text{Class } &q_{\texttt{00011}}:\ q_{\texttt{00011}} \\[0.5em]
    \text{Class } &q_{\texttt{00101}}:\ q_{\texttt{00101}} \\[0.5em]
    \text{Class } &q_{\texttt{00110}}:\ q_{\texttt{00110}} \\[0.5em]
    \text{Class } &q_{\texttt{01001}}:\ q_{\texttt{01001}} \\[0.5em]
    \text{Class } &q_{\texttt{01010}}:\ q_{\texttt{01010}} \\[0.5em]
    \text{Class } &q_{\texttt{01100}}:\ q_{\texttt{01100}} \\[0.5em]
    \text{Class } &q_{\texttt{01111}}:\ q_{\texttt{01111}} \\[0.5em]
    \text{Class } &q_{\texttt{10001}}:\ q_{\texttt{10001}} \\[0.5em]
    \text{Class } &q_{\texttt{10010}}:\ q_{\texttt{10010}} \\[0.5em]
    \text{Class } &q_{\texttt{10100}}:\ q_{\texttt{10100}} \\[0.5em]
    \text{Class } &q_{\texttt{10111}}:\ q_{\texttt{10111}} \\[0.5em]
    \text{Class } &q_{\texttt{11000}}:\ q_{\texttt{11000}} \\[0.5em]
    \text{Class } &q_{\texttt{11011}}:\ q_{\texttt{11011}} \\[0.5em]
    \text{Class } &q_{\texttt{11101}}:\ q_{\texttt{11101}} \\[0.5em]
    \text{Class } &q_{\texttt{11110}}:\ q_{\texttt{11110}}
    \end{align}$
  invariants: |-
    Ideal generated by $$-$$
  grobner_basis: |-
    Gröbner basis with $0$ elements
  specialized_fourier_transform: |-
    $\frac{1}{1} \begin{pmatrix}
    1 & 1 & 1 & 1 & 1 & 1 & 1 & 1 & 1 & 1 & 1 & 1 & 1 & 1 & 1 & 1\\ 
    1 & -1 & -1 & 1 & 1 & -1 & -1 & 1 & 1 & -1 & -1 & 1 & 1 & -1 & -1 & 1\\ 
    1 & -1 & 1 & -1 & -1 & 1 & -1 & 1 & 1 & -1 & 1 & -1 & -1 & 1 & -1 & 1\\ 
    1 & 1 & -1 & -1 & -1 & -1 & 1 & 1 & 1 & 1 & -1 & -1 & -1 & -1 & 1 & 1\\ 
    1 & -1 & 1 & -1 & 1 & -1 & 1 & -1 & -1 & 1 & -1 & 1 & -1 & 1 & -1 & 1\\ 
    1 & 1 & -1 & -1 & 1 & 1 & -1 & -1 & -1 & -1 & 1 & 1 & -1 & -1 & 1 & 1\\ 
    1 & 1 & 1 & 1 & -1 & -1 & -1 & -1 & -1 & -1 & -1 & -1 & 1 & 1 & 1 & 1\\ 
    1 & -1 & -1 & 1 & -1 & 1 & 1 & -1 & -1 & 1 & 1 & -1 & 1 & -1 & -1 & 1\\ 
    1 & -1 & 1 & -1 & 1 & -1 & 1 & -1 & 1 & -1 & 1 & -1 & 1 & -1 & 1 & -1\\ 
    1 & 1 & -1 & -1 & 1 & 1 & -1 & -1 & 1 & 1 & -1 & -1 & 1 & 1 & -1 & -1\\ 
    1 & 1 & 1 & 1 & -1 & -1 & -1 & -1 & 1 & 1 & 1 & 1 & -1 & -1 & -1 & -1\\ 
    1 & -1 & -1 & 1 & -1 & 1 & 1 & -1 & 1 & -1 & -1 & 1 & -1 & 1 & 1 & -1\\ 
    1 & 1 & 1 & 1 & 1 & 1 & 1 & 1 & -1 & -1 & -1 & -1 & -1 & -1 & -1 & -1\\ 
    1 & -1 & -1 & 1 & 1 & -1 & -1 & 1 & -1 & 1 & 1 & -1 & -1 & 1 & 1 & -1\\ 
    1 & -1 & 1 & -1 & -1 & 1 & -1 & 1 & -1 & 1 & -1 & 1 & 1 & -1 & 1 & -1\\ 
    1 & 1 & -1 & -1 & -1 & -1 & 1 & 1 & -1 & -1 & 1 & 1 & 1 & 1 & -1 & -1
    \end{pmatrix} ] $
  inverse_specialized_fourier_transform: |-
    $\frac{1}{16} \begin{pmatrix}
    1 & 1 & 1 & 1 & 1 & 1 & 1 & 1 & 1 & 1 & 1 & 1 & 1 & 1 & 1 & 1\\ 
    1 & -1 & -1 & 1 & -1 & 1 & 1 & -1 & -1 & 1 & 1 & -1 & 1 & -1 & -1 & 1\\ 
    1 & -1 & 1 & -1 & 1 & -1 & 1 & -1 & 1 & -1 & 1 & -1 & 1 & -1 & 1 & -1\\ 
    1 & 1 & -1 & -1 & -1 & -1 & 1 & 1 & -1 & -1 & 1 & 1 & 1 & 1 & -1 & -1\\ 
    1 & 1 & -1 & -1 & 1 & 1 & -1 & -1 & 1 & 1 & -1 & -1 & 1 & 1 & -1 & -1\\ 
    1 & -1 & 1 & -1 & -1 & 1 & -1 & 1 & -1 & 1 & -1 & 1 & 1 & -1 & 1 & -1\\ 
    1 & -1 & -1 & 1 & 1 & -1 & -1 & 1 & 1 & -1 & -1 & 1 & 1 & -1 & -1 & 1\\ 
    1 & 1 & 1 & 1 & -1 & -1 & -1 & -1 & -1 & -1 & -1 & -1 & 1 & 1 & 1 & 1\\ 
    1 & 1 & 1 & 1 & -1 & -1 & -1 & -1 & 1 & 1 & 1 & 1 & -1 & -1 & -1 & -1\\ 
    1 & -1 & -1 & 1 & 1 & -1 & -1 & 1 & -1 & 1 & 1 & -1 & -1 & 1 & 1 & -1\\ 
    1 & -1 & 1 & -1 & -1 & 1 & -1 & 1 & 1 & -1 & 1 & -1 & -1 & 1 & -1 & 1\\ 
    1 & 1 & -1 & -1 & 1 & 1 & -1 & -1 & -1 & -1 & 1 & 1 & -1 & -1 & 1 & 1\\ 
    1 & 1 & -1 & -1 & -1 & -1 & 1 & 1 & 1 & 1 & -1 & -1 & -1 & -1 & 1 & 1\\ 
    1 & -1 & 1 & -1 & 1 & -1 & 1 & -1 & -1 & 1 & -1 & 1 & -1 & 1 & -1 & 1\\ 
    1 & -1 & -1 & 1 & -1 & 1 & 1 & -1 & 1 & -1 & -1 & 1 & -1 & 1 & 1 & -1\\ 
    1 & 1 & 1 & 1 & 1 & 1 & 1 & 1 & -1 & -1 & -1 & -1 & -1 & -1 & -1 & -1
    \end{pmatrix} $
